Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.util
Class VelocityStrutsUtil

    java.lang.Object
      org.apache.struts2.util.StrutsUtil
          org.apache.struts2.util.VelocityStrutsUtil

    public class VelocityStrutsUtil

extends StrutsUtil

Struts velocity related util.

Field Summary

Fields inherited from class org.apache.struts2.util.StrutsUtil
`classes, LOG, ognl, request, response, stack`

Constructor Summary
`VelocityStrutsUtil(org.apache.velocity.app.VelocityEngine engine, org.apache.velocity.context.Context ctx, ValueStack stack, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Method Summary
`String` | `evaluate(String expression)`

Methods inherited from class org.apache.struts2.util.StrutsUtil
`bean, buildUrl, findString, findValue, getContext, getText, include, include, isTrue, makeSelectList, toInt, toLong, toLong, toString, toString, toStringSafe, translateVariables, urlEncode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VelocityStrutsUtil

    public VelocityStrutsUtil(org.apache.velocity.app.VelocityEngine engine,
                              org.apache.velocity.context.Context ctx,
                              ValueStack stack,
                              javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response)

Method Detail

### evaluate

    public String evaluate(String expression)
                    throws IOException,
                           org.apache.velocity.exception.ResourceNotFoundException,
                           org.apache.velocity.exception.MethodInvocationException,
                           org.apache.velocity.exception.ParseErrorException

  Throws:
    `IOException`
    `org.apache.velocity.exception.ResourceNotFoundException`
    `org.apache.velocity.exception.MethodInvocationException`
    `org.apache.velocity.exception.ParseErrorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.